Summary:	Leptonica - image processing and analysis library
Summary(pl.UTF-8):	Leptonica - biblioteka do przetwarzania i analizy obrazu
Name:		leptonlib
Version:	1.72
Release:	1
License:	BSD-like
Group:		Libraries
#Source0Download: http://www.leptonica.com/download.html
Source0:	http://www.leptonica.com/source/leptonica-%{version}.tar.gz
# Source0-md5:	7581db29f8442197ce68e766c6047c4b
Patch0:		%{name}-endiantest.patch
URL:		http://www.leptonica.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	giflib-devel >= 5
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libwebp-devel
BuildRequires:	openjpeg2-devel >= 2
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Leptonica - image processing and analysis library.

%description -l pl.UTF-8
Leptonica - biblioteka do przetwarzania i analizy obrazu.

%package devel
Summary:	Header files for lepton library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lepton
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	giflib-devel >= 5
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libtiff-devel
Requires:	libwebp-devel
Requires:	zlib-devel

%description devel
Header files for lepton library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lepton.

%package static
Summary:	Static lepton library
Summary(pl.UTF-8):	Statyczna biblioteka lepton
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lepton library.

%description static -l pl.UTF-8
Statyczna biblioteka lepton.

%prep
%setup -q -n leptonica-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# programs are mostly examples or tests (seems nothing really useful)
# and they have too generic names
%configure \
	--disable-programs \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblept.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.html leptonica-license.txt version-notes.html moller52.jpg
%attr(755,root,root) %{_libdir}/liblept.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblept.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblept.so
%{_includedir}/leptonica
%{_pkgconfigdir}/lept.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblept.a
%changelog
* Fri Aug 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/leptonlib.git;a=log;h=master

* Thu Aug 06 2015 Tomasz Pala <gotar@pld-linux.org> 231ae77
- upgraded to 1.72

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> a840341
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 05 2014 Jakub Bogusz <qboosh@pld-linux.org> bace482
- updated download URL; BR: openjpeg2-devel

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d0320e
- up to 1.71

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> f116fe5
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 930e645
- release 2 (by relup.sh)

* Sat Feb 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 0f357cb
- disable silent-rules

* Fri Jan 31 2014 Jan Rękorajski <baggins@pld-linux.org> 6f2b61f
- added pkgconfig and removed .la

* Fri Jan 31 2014 Jan Rękorajski <baggins@pld-linux.org> 421a9bf
- soname change

* Fri Jan 31 2014 Jan Rękorajski <baggins@pld-linux.org> 4e04a3e
- up to 1.70

* Thu Jan 30 2014 Jan Rękorajski <baggins@pld-linux.org> 7ae51ef
- rebuild with libwebp 0.4.0
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e16d1a8
- release 2 (by relup.sh)

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> cf9fca9
- updated to 1.69 (note: new soname; upstream package is now named leptonica)
- removed obsolete includes patch

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> da9e8b0
- new, need to include zlib.h explicitely

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> b05d52d
- release 4 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 53f5e1e
- release 3

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8556517
- release 2

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> b222348
- updated to 1.67
- removed obsolete shared patch
- follow upstream: soname back to .so.0, includedir changed to leptonica

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 9ce296f
- BR: libstdc++-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1aab624
- release 4

